This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 132975 - yum dies under certain biarch-related circumstances
yum dies under certain biarch-related circumstances
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-20 11:50 EDT by Zack Cerza
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:18:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logfile of package info, failure, and success (2.83 KB, text/plain)
2004-09-20 11:59 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2004-09-20 11:50:58 EDT
Description of problem:
I recently found myself with both x86_64 and i386 versions of samba
installed at the same time. This probably happened when I was doing
some QA on samba. When I went to 'yum update' later, yum died an ugly
death instead of simply giving an error message or just ignoring the
issue.

Version-Release number of selected component (if applicable):
yum-2.1.3-1

How reproducible:
Always

Steps to Reproduce:
1. Install the i386 version of a package whose x86_64 version is
tracked by yum.
2. yum update
  
Actual results:
Yum dies and spits out a traceback

Expected results:
Yum succeeds or performs a graceful error+exit

Additional info:
See logfile
Comment 1 Zack Cerza 2004-09-20 11:59:39 EDT
Created attachment 104021 [details]
logfile of package info, failure, and success
Comment 2 Seth Vidal 2004-10-13 01:48:39 EDT
Can you still replicate this using yum 2.1.6 or later?
Comment 3 Jeremy Katz 2004-11-04 09:18:12 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.